<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="../assets/xml/rss.xsl" media="all"?><rss xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:atom="http://www.w3.org/2005/Atom" version="2.0"><channel><title>duckland.org news (ansible)</title><link>http://www.duckland.org/</link><description></description><atom:link href="http://www.duckland.org/categories/ansible.xml" type="application/rss+xml" rel="self"></atom:link><language>en</language><lastBuildDate>Wed, 10 Jun 2015 05:13:29 GMT</lastBuildDate><generator>http://getnikola.com/</generator><docs>http://blogs.law.harvard.edu/tech/rss</docs><item><title>Quick Ansible Tip</title><link>http://www.duckland.org/posts/quick-ansible-tip.html</link><dc:creator>Don Harper</dc:creator><description>&lt;div&gt;&lt;p&gt;This is a quick post to capture something seen.  &lt;a class="reference external" href="http://www.ansible.com"&gt;Ansibel&lt;/a&gt; is a configuration management tool that I have been learning recently.  More details in a future post.  This is just to capture this idea:&lt;/p&gt;
&lt;blockquote&gt;
&lt;p&gt;From: Smith, Chris (Big Data)&lt;/p&gt;
&lt;p&gt;To: ansible&lt;/p&gt;
&lt;p&gt;Ansible Galaxy is a centralised Github repository of public Ansible content, see: &lt;a class="reference external" href="https://galaxy.ansible.com/"&gt;https://galaxy.ansible.com/&lt;/a&gt; It uses a local routine that is installed when you install Ansible, called ‘ansible-galaxy’, to create a blank template for your Ansible content. What is not well known is you can run ‘ansible-galaxy’ in offline mode to create a blank template using the command:&lt;/p&gt;
&lt;p&gt;# ansible-galaxy init --offline my-role&lt;/p&gt;
&lt;p&gt;Enjoy,&lt;/p&gt;
&lt;p&gt;Chris&lt;/p&gt;
&lt;/blockquote&gt;
&lt;p&gt;More on this as I get some more back-ends stuff taken care of, like setting up a git repo and maybe auto-deploy from git push?&lt;/p&gt;&lt;/div&gt;</description><category>ansible</category><category>sa</category><guid>http://www.duckland.org/posts/quick-ansible-tip.html</guid><pubDate>Wed, 27 May 2015 12:24:16 GMT</pubDate></item></channel></rss>